# user Class Reference

## Public Member Functions

| __construct ($login, $password=null, $nom=null, $prenom=null, $mail=null)
| getLogin ()
| getPassword ()
| setPassword ($password)
| getNom ()
| setNom ($nom)
| getPrenom ()
| setPrenom ($prenom)
| getGames ()
| getMail ()
| setMail ($mail)
| isNull ()

## Static Public Member Functions

static | saveUser ($user)
static | saveUserNoPassword ($user)
static | exist ($login)

## Detailed Description

Description of user

Author:
  phenom

## Constructor & Destructor Documentation

__construct | ( | $ | login,
|  | $ | password = `null`,
|  | $ | nom = `null`,
|  | $ | prenom = `null`,
|  | $ | mail = `null` |
| ) |  |  |

## Member Function Documentation

static exist | ( | $ | login | ) | `[static]`

getGames | ( |  | ) |

getLogin | ( |  | ) |

getMail | ( |  | ) |

getNom | ( |  | ) |

getPassword | ( |  | ) |

getPrenom | ( |  | ) |

isNull | ( |  | ) |

static saveUser | ( | $ | user | ) | `[static]`

static saveUserNoPassword | ( | $ | user | ) | `[static]`

setMail | ( | $ | mail | ) |

setNom | ( | $ | nom | ) |

setPassword | ( | $ | password | ) |

setPrenom | ( | $ | prenom | ) |

The documentation for this class was generated from the following file:

- /var/www/Burger-ct-glf/metier/user.php